import { PropType } from 'vue';
export interface Field {
    key: string;
    label?: string;
    sortable?: boolean;
    sort?: 'asc' | 'desc';
}
declare const _default: import("vue").DefineComponent<{
    /**
     * The fields of the table
     */
    fields: {
        type: PropType<Field[]>;
        required: false;
        default: any;
    };
    /**
     * The items that are shown in the table
     */
    items: {
        type: PropType<Record<string, unknown>[]>;
        default: () => any[];
    };
    /**
     * Defines if multiple items can be sorted at once
     */
    multiSort: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Defines if the `table-hover` class should be used
     */
    hover: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Defines if the `table-click` class should be used
     */
    'onClick:row': {
        type: FunctionConstructor;
        default: any;
    };
    /**
     * The classes that will be forwarded to the tbody tr
     */
    tbodyTrClass: {
        type: (ArrayConstructor | StringConstructor | ObjectConstructor)[];
        default: any;
    };
    /**
     * The classes that will be forwarded to the tbody tr
     */
    theadTrClass: {
        type: (ArrayConstructor | StringConstructor | ObjectConstructor)[];
        default: any;
    };
}, (_ctx: any, _cache: any) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("click:row" | "sort")[], "click:row" | "sort", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The fields of the table
     */
    fields: {
        type: PropType<Field[]>;
        required: false;
        default: any;
    };
    /**
     * The items that are shown in the table
     */
    items: {
        type: PropType<Record<string, unknown>[]>;
        default: () => any[];
    };
    /**
     * Defines if multiple items can be sorted at once
     */
    multiSort: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Defines if the `table-hover` class should be used
     */
    hover: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Defines if the `table-click` class should be used
     */
    'onClick:row': {
        type: FunctionConstructor;
        default: any;
    };
    /**
     * The classes that will be forwarded to the tbody tr
     */
    tbodyTrClass: {
        type: (ArrayConstructor | StringConstructor | ObjectConstructor)[];
        default: any;
    };
    /**
     * The classes that will be forwarded to the tbody tr
     */
    theadTrClass: {
        type: (ArrayConstructor | StringConstructor | ObjectConstructor)[];
        default: any;
    };
}>> & {
    "onClick:row"?: (...args: any[]) => any;
    onSort?: (...args: any[]) => any;
}, {
    'onClick:row': Function;
    fields: Field[];
    items: Record<string, unknown>[];
    multiSort: boolean;
    hover: boolean;
    tbodyTrClass: string | unknown[] | Record<string, any>;
    theadTrClass: string | unknown[] | Record<string, any>;
}>;
export default _default;
